Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.server
Class ServletContextWrapper

    java.lang.Object
      org.apache.cactus.server.AbstractServletContextWrapper
          org.apache.cactus.server.ServletContextWrapper

All Implemented Interfaces:
  javax.servlet.ServletContext

public class ServletContextWrapper
extends AbstractServletContextWrapper

Wrapper around Servlet 2.3 `ServletContext`. This wrapper provides additional behaviour (see `AbstractServletContextWrapper`).

Version:
  $Id: ServletContextWrapper.java 238991 2004-05-22 11:34:50Z vmassol $
See Also:
  `RequestDispatcherWrapper`

Field Summary

Fields inherited from class org.apache.cactus.server.AbstractServletContextWrapper
`initParameters, originalContext`

Constructor Summary
`ServletContextWrapper(javax.servlet.ServletContext theOriginalContext)`

Method Summary
`java.util.Set` | `getResourcePaths()`
`java.util.Set` | `getResourcePaths(java.lang.String thePath)` Added to support the changes of the Jakarta Servlet API 2.3 of the 17/03/2001 (in anticipation of the upcoming draft of Servlet 2.3).
`java.lang.String` | `getServletContextName()`

Methods inherited from class org.apache.cactus.server.AbstractServletContextWrapper
`getAttribute, getAttributeNames, getContext, getInitParameter, getInitParameterNames, getLogs, getMajorVersion, getMimeType, getMinorVersion, getNamedDispatcher, getOriginalContext, getRealPath, getRequestDispatcher, getResource, getResourceAsStream, getServerInfo, getServlet, getServletNames, getServlets, log, log, log, removeAttribute, setAttribute, setInitParameter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletContextWrapper

    public ServletContextWrapper(javax.servlet.ServletContext theOriginalContext)

Parameters:
  `theOriginalContext` - the original servlet context object

Method Detail

### getServletContextName

    public java.lang.String getServletContextName()

  See Also:
    `ServletContext.getServletContextName()`

### getResourcePaths

    public java.util.Set getResourcePaths()

  See Also:
    `getResourcePaths(String)`

### getResourcePaths

    public java.util.Set getResourcePaths(java.lang.String thePath)

  Added to support the changes of the Jakarta Servlet API 2.3 of the 17/03/2001 (in anticipation of the upcoming draft of Servlet 2.3). Kept the method without parameters for servlet engines that do not have upgraded yet to the new signature.

  See Also:
    `ServletContext.getResourcePaths(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.